Public APIAPI ReferenceBuilds
Check which build deployment objects need to be uploaded.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
POST
/v1/build-jobs/{jobId}/deployment/objectsRequires the same active job's ntrob_ Bearer job token as deployment uploads. Provide SHA-256 hashes and byte sizes in objects to receive the digests of objects missing from the job's app in missing. The entire request is limited to 100,000 objects, counting both files and compressed variants. Does not create a deployment or change the job's submission state.
Path Parameters
jobId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/build-jobs/string/deployment/objects" \ -H "Content-Type: application/json" \ -d '{ "objects": [ { "sha256": "string", "size": 0 } ] }'{ "missing": [ "string" ]}